summarylogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.SRCINFO8
-rw-r--r--PKGBUILD50
2 files changed, 29 insertions, 29 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 770d18185f8..7593a31f366 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -2,7 +2,7 @@ pkgbase = popcorntime-ce-git
pkgdesc = Stream movies from torrents. Skip the downloads. Launch, click, watch. Repos of the original community edition.
pkgver = r306.a576c24
pkgrel = 1
- url = http://popcorntime.ag/
+ url = http://www.popcorn-time.is/
install = popcorntime-ce.install
arch = x86_64
arch = i686
@@ -29,9 +29,9 @@ pkgbase = popcorntime-ce-git
source = git+https://github.com/PopcornTimeCommunity/desktop.git
source = popcorntime-ce.install
source = popcorntime-ce.desktop
- sha1sums = SKIP
- sha1sums = 2c22a3f1d1335abe8d7ac7dd6a33933720ba30e4
- sha1sums = 219a9c7033361e1286967452868721302b1d6da7
+ md5sums = SKIP
+ md5sums = b8996810c9862bd9b41880b82055073f
+ md5sums = 53367e600bad6229b200ed4478f8fcbb
pkgname = popcorntime-ce-git
diff --git a/PKGBUILD b/PKGBUILD
index c33836aa983..539c6a56d75 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,36 +1,36 @@
# Maintainer: grufo <madmurphy333@gmail.com>
-pkgname="popcorntime-ce-git"
-_pkgname="popcorntime-ce"
-_device="desktop"
-pkgver="r306.a576c24"
+pkgname='popcorntime-ce-git'
+_pkgname='popcorntime-ce'
+_device='desktop'
+pkgver='r306.a576c24'
pkgrel=1
-pkgdesc="Stream movies from torrents. Skip the downloads. Launch, click, watch. Repos of the original community edition."
-arch=("x86_64" "i686")
-url="http://popcorntime.ag/"
-license=("GPL3")
-depends=("alsa-lib" "desktop-file-utils" "gconf" "gtk2" "libnotify" "libxtst" "nodejs" "nss" "python" "ttf-font")
-makedepends=("git" "npm")
-optdepends=("net-tools: necessary for the new vpn feature" "ttf-liberation: open source ttf fonts")
-provides=("popcorntime" "popcorntime-ce")
-conflicts=("popcorntime-ce" "popcorntime-ce-bin")
-options=("!strip")
-install="popcorntime-ce.install"
+pkgdesc='Stream movies from torrents. Skip the downloads. Launch, click, watch. Repos of the original community edition.'
+arch=('x86_64' 'i686')
+url='http://www.popcorn-time.is/'
+license=('GPL3')
+depends=('alsa-lib' 'desktop-file-utils' 'gconf' 'gtk2' 'libnotify' 'libxtst' 'nodejs' 'nss' 'python' 'ttf-font')
+makedepends=('git' 'npm')
+optdepends=('net-tools: necessary for the new vpn feature' 'ttf-liberation: open source ttf fonts')
+provides=('popcorntime' 'popcorntime-ce')
+conflicts=('popcorntime-ce' 'popcorntime-ce-bin')
+options=('!strip')
+install='popcorntime-ce.install'
source=("git+https://github.com/PopcornTimeCommunity/${_device}.git"
- "popcorntime-ce.install"
- "popcorntime-ce.desktop")
-sha1sums=("SKIP"
- "2c22a3f1d1335abe8d7ac7dd6a33933720ba30e4"
- "219a9c7033361e1286967452868721302b1d6da7")
-
-_platform=$([ $CARCH = "x86_64" ] && echo "linux64" || echo "linux32")
-_execname="Popcorn-Time-CE"
+ 'popcorntime-ce.install'
+ 'popcorntime-ce.desktop')
+md5sums=('SKIP'
+ 'b8996810c9862bd9b41880b82055073f'
+ '53367e600bad6229b200ed4478f8fcbb')
+
+_platform=$([ $CARCH = 'x86_64' ] && echo 'linux64' || echo 'linux32')
+_execname='Popcorn-Time-CE'
_bindir="${_device}/build/${_execname}/${_platform}"
pkgver() {
cd "${_device}"
- printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ printf "'r%s.%s'" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
}
@@ -49,7 +49,7 @@ build() {
cd "${srcdir}/${_device}"
- "${srcdir}/${_device}/node_modules/.bin/gulp" build -p ${_platform}
+ "${srcdir}/${_device}/node_modules/.bin/gulp" build -p "${_platform}"
}